import React from 'react';
import { PageHeader } from 'antd';
import useRoute from '@/routes/useRoute';
import Container from './Container';

export default (props) => {
  const { children, ...headerProps } = props;

  const currentRoute = useRoute() || {};
  const { title } = currentRoute.meta || {};

  return (
    <>
      <PageHeader
        ghost={false}
        title={title}
        {...headerProps}
      />
      <Container>
        {children}
      </Container>
    </>
  )
}
