import React, { useState } from 'react';
import { useNavigate } from "react-router-dom";
import { Menu } from 'antd';
import { getItems } from '@/routes/menus';

const linkTo = url => {
  const a = document.createElement('a');
  a.href = item.key;
  a.target = '_blank';
  a.click();
}

export default (props) => {
  const { theme } = props;

  const navigate = useNavigate();
  const items = getItems();

  const onClick = (item) => {
    // http 开头说明是外部链接
    if (item.key.indexOf('http') === 0) {
      linkTo(item.key);
    } else {
      navigate(item.key);
    }
  }

  return (
    <Menu theme={theme} items={items} onClick={onClick} />
  )
}
