import React from 'react';
import { Button, Result } from 'antd';
import { Helmet } from "react-helmet";
import { NavLink } from "react-router-dom";
import { useModel } from '@/store';

const style = {
  display: 'grid',
  placeItems: 'center',
  height: '100%'
}

export default (props) => {
  const { config } = useModel('system');

  return (
    <div style={style}>
      <Helmet>
        <title>{config.appName}</title>
      </Helmet>
      <Result
        status="404"
        title="404"
        subTitle="页面不存在"
        extra={<NavLink to="/" replace><Button type="primary">返回首页</Button></NavLink>}
      />
    </div>
  )
}
