import AuthLayout from "@/layouts/AuthLayout";
import Home from "@/pages/Home";
import Login from '@/pages/login';
import Page404 from '@/pages/404';
import BasicForm from '@/pages/sample/form';
import BasicTable from '@/pages/sample/table';

/**
 * meta 用来扩展自定义数据数据
 * {
 *    title: 用于页面或者菜单的标题, 没有此字段, 菜单不会显示
 *    hiddenInMenu: 布尔值, 如果为 false, 菜单不会显示
 * }
 */

export default [
  {
    path: "/",
    element: <AuthLayout />,
    children: [
      {
        index: true,
        element: <Home />,
      },
      {
        path: "form",
        element: <BasicForm />,
        meta: {
          title: '表单',
        },
      },
      {
        path: "table",
        element: <BasicTable />,
        meta: {
          title: '表格',
        },
      },
      {
        path: "home",
        element: <Home />,
        meta: {
          title: 'Home',
        },
      },
      {
        path: '*',
        element: <Page404 />
      }
    ],
  },
  {
    path: '/login',
    element: <Login />,
  },
  {
    path: '*',
    element: <Page404 />
  }
]
