import { useCallback } from "react";
import { useState } from "react";

const setRootCssVar = (key, val) => {
  document.documentElement.style.setProperty(key, val);
}

export default function useSystem() {
  const [theme, setTheme] = useState('light');
  const [config, setConfig] = useState({
    appName: '云致科技信息管理系统',
    shorName: '云致科技',
    company: '云致科技'
  });

  const updateTheme = useCallback((t) => {
    setTheme(t);
    switch (t) {
      case 'dark':
        setRootCssVar('--theme-color', '#001529');
        setRootCssVar('--theme-front', '#fff');
        break;
      case 'light':
      default:
        setRootCssVar('--theme-color', '#fff');
        setRootCssVar('--theme-front', '#000');
        break;
    }
  }, [])

  return {
    theme,
    updateTheme,
    config,
    setConfig,
  }
}
